F-Secure Online Safety Browser Plugins only Support IE, Chrome & Firefox only

RusliRusli Posts: 998 Adventurer

Hi

 

Come to find out that the F-Secure  2014 Internet Security Online Safety Browser plugins only supports Windows Internet Explorer, Google Chrome and Firefox browsers.

 

It did not support Opera.

 

 

This discussion has been closed.